package examples.cluster.ejb.account;

/**
 * This class is used with the WebLogic EJBean container-managed example package.
 * AccountException is thrown if the caller attempts
 * to withdraw more than the balance of the account.
 *
 * @author Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
 */
public class AccountException extends Exception {

  /**
   * Constructs exceptions without a specified string.
   *
   */
  public AccountException() {}

  /**
   * Constructs the appropriate exception with the specified string.
   *
   * @param message           String Exception message
   */
  public AccountException(String message) {super(message);}

}
