package examples.wlec.ejb.simpapp;

/**
 * This class is used with the examples.wlec.ejb.simpapp package.
 * <font face="Courier New" size=-1>ProcessingErrorException</font> is thrown if an error occurs while
 * converting the string.
 *
 * @author Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
 */
public class ProcessingErrorException extends Exception {

  /**
   * Catches exceptions without a specified string
   *
   */
  public ProcessingErrorException() {}

  /**
   * Constructs the appropriate exception with the specified string
   *
   * @param message           Exception message
   */
  public ProcessingErrorException(String message) {super(message);}
}
