package examples.cluster.ejb.teller;

/**
 * This class is used with the examples.cluster.ejb.teller package.
 * TellerException is thrown if an error occurs while
 * performing a transaction.
 *
 * @author Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
 */
public class TellerException extends Exception {

  /**
   * Constructs exceptions without a specified string.
   *
   */
  public TellerException() {}

  /**
   * Constructs the appropriate exception with the specified string.
   *
   * @param message           Exception message
   */
  public TellerException(String message) {super(message);}

  /**
   * Constructs the appropriate exception from the 
   * message of the specified exception.
   *
   * @param message           String Exception e
   */
  public TellerException(Exception e) {super(e.getMessage());}
}
