@REM Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.

@REM Adjust these variables to match your environment
if "" == "%JAVA_HOME%" set JAVA_HOME=\java
if "" == "%WL_HOME%" set WL_HOME=\weblogic
set MYSERVER=%WL_HOME%\myserver
set MYCLASSPATH=%JAVA_HOME%\lib\classes.zip;%WL_HOME%\classes;%WL_HOME%\lib\weblogicaux.jar;%MYSERVER%\clientclasses

@REM Create the build directory, and copy the deployment descriptors into it
mkdir build build\META-INF
copy *.xml build\META-INF

@REM Compile ejb classes into the build directory (jar preparation)
javac -d build -classpath %MYCLASSPATH% Account.java AccountHome.java ProcessingErrorException.java AccountBean.java

@REM Make a standard ejb jar file, including XML deployment descriptors
cd build
jar cv0f std_ejb_basic_beanManaged.jar META-INF examples
cd ..

@REM Run ejbc to create the deployable jar file
java -classpath %MYCLASSPATH% -Dweblogic.home=%WL_HOME% weblogic.ejbc -compiler javac build\std_ejb_basic_beanManaged.jar %MYSERVER%\ejb_basic_beanManaged.jar

@REM Compile ejb interfaces & client app into the clientclasses directory
javac -d %MYSERVER%\clientclasses -classpath %MYCLASSPATH% Account.java AccountHome.java ProcessingErrorException.java Client.java

@REM Compile servlets into the servletclasses directory
javac -d %MYSERVER%\servletclasses -classpath %MYCLASSPATH% Servlet.java
